@echo off

echo Clear build for building syncAXIS demo project in 32Bit

if exist "Build_syncAXIS" (
	rd /s /q Build_syncAXIS
    echo Build_syncAXIS cleared [OK!]
) else (
    echo No Build_syncAXIS folder exists. [OK!]
)

if exist "Installation_Project\include\IncludePath.h" (
	del Installation_Project\include\IncludePath.h
    echo IncludePath.h cleared [OK!]
) else (
    echo No IncludePath.h in Installation_Project\include\. [OK!]
)

if exist "Configuration_Files\syncAXISConfig.xml" (
	powershell -Command "try{ (gc Configuration_Files\syncAXISConfig.xml) -replace '<cfg:BaseDirectoryPath>.*</cfg:BaseDirectoryPath>', '<cfg:BaseDirectoryPath>${BASE_PATH}</cfg:BaseDirectoryPath>' | Out-File -encoding ASCII Configuration_Files\syncAXISConfig.xml"  -ErrorAction Ignore} catch{} finally{}"
	powershell -Command "try{ (gc Configuration_Files\syncAXISConfig.xml) -replace '<cfg:BaseDirectoryPath/>', '<cfg:BaseDirectoryPath>${BASE_PATH}</cfg:BaseDirectoryPath>' | Out-File -encoding ASCII Configuration_Files\syncAXISConfig.xml"  -ErrorAction Ignore} catch{} finally{}"
	powershell -Command "try{ (gc Configuration_Files\syncAXISConfig.xml) -replace '<cfg:BaseDirectoryPath />', '<cfg:BaseDirectoryPath>${BASE_PATH}</cfg:BaseDirectoryPath>' | Out-File -encoding ASCII Configuration_Files\syncAXISConfig.xml"  -ErrorAction Ignore} catch{} finally{}"

	echo BaseDirectoryPath in syncAXISConfig.xml reset [OK!]
) else (
    echo No syncAXISConfig.xml in Configuration_Files\. [OK!]
)

pause
